From: Jochen Sprickerhof <git@jochen.sprickerhof.de>
Date: Wed, 5 Aug 2015 13:36:06 +0200
Subject: Add Debian specific SOVERSION

---
 collada_parser/CMakeLists.txt | 1 +
 collada_urdf/CMakeLists.txt   | 1 +
 2 files changed, 2 insertions(+)

diff --git a/collada_parser/CMakeLists.txt b/collada_parser/CMakeLists.txt
index 9e7704c..56de164 100644
--- a/collada_parser/CMakeLists.txt
+++ b/collada_parser/CMakeLists.txt
@@ -38,6 +38,7 @@ add_library(${PROJECT_NAME} src/collada_parser.cpp)
 target_link_libraries(${PROJECT_NAME}
   ${COLLADA_DOM_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES}
 )
+set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${collada_parser_VERSION} SOVERSION "1d")
 
 # build the plugin for the parser
 add_library(${PROJECT_NAME}_plugin src/collada_parser_plugin.cpp)
diff --git a/collada_urdf/CMakeLists.txt b/collada_urdf/CMakeLists.txt
index ff45167..0f11ca4 100644
--- a/collada_urdf/CMakeLists.txt
+++ b/collada_urdf/CMakeLists.txt
@@ -68,6 +68,7 @@ target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIE
   ${Boost_LIBRARIES} ${ASSIMP_LIBRARIES})
 set_target_properties(${PROJECT_NAME} PROPERTIES COMPILER_FLAGS "${ASSIMP_CXX_FLAGS} ${ASSIMP_CFLAGS_OTHER}")
 set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "${ASSIMP_LINK_FLAGS}")
+set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${collada_urdf_VERSION} SOVERSION "1d")
 
 add_executable(urdf_to_collada src/urdf_to_collada.cpp)
 target_link_libraries(urdf_to_collada ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES}
